# $Revision: 1.15 $, $Date: 2011/08/31 18:32:03 $
Summary:	Performance analysis tool
Summary(pl.UTF-8):	Narzędzie do analizowania wydajności
Name:		nmon
Version:	14g
Release:	2
License:	GPL
Group:		Applications/System
URL:		http://nmon.sourceforge.net/pmwiki.php
BuildRequires:	ncurses-devel
Source0:	http://dl.sourceforge.net/project/nmon/lmon%{version}.c
# Source0-md5:	e537f51446fb375140368b115dc8278b
Source1:	http://dl.sourceforge.net/project/nmon/Documentation.txt
# Source1-md5:	dbb13658cf55d687c4f2ff771a696d4a
ExclusiveArch:	%{ix86} %{x8664} ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nmon is designed for performance specialists to use for monitoring and
analyzing performance data.
Collected data can be analyzed by nmonanalyser tool:
http://www.ibm.com/developerworks/wikis/display/WikiPtype/nmonanalyser

%description -l pl.UTF-8
nmon to zbudowany dla specjalistów od wydajnosci aby używać go do
monitorowania i analizoawnia wydajnościowych danych.
Zebrane dane można analizować za pomocą narzędzia nmonanalyser:
http://www.ibm.com/developerworks/wikis/display/WikiPtype/nmonanalyser

%prep
%setup -qcT
install %{SOURCE0} nmon.c
install %{SOURCE1} .

cat <<'EOF' > Makefile
LIBS := -lncurses -ltinfo
OPTFLAGS := -O2
CFLAGS := -Wall -I/usr/include/ncurses -D JFS -D GETUSER -D LARGEMEM -D KERNEL_2_6_18 $(OPTFLAGS)
LDFLAGS := -l/libtinfo.so.5

nmon: nmon.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
EOF

%build
%{__make} nmon \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -p -D nmon $RPM_BUILD_ROOT%{_bindir}/nmon

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Documentation.txt
%attr(755,root,root) %{_bindir}/nmon

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nmon.spec,v $
Revision 1.15  2011/08/31 18:32:03  arekm
- release 2

Revision 1.14  2011/06/17 15:20:32  blekot
- up to 14f

Revision 1.13  2011/01/17 08:24:28  blekot
- updated en/pl info

Revision 1.12  2011/01/14 20:02:58  blekot
- up to 14f
- added -ltinfo
- added KERNEL_2_6_18 for some features for kernel 2.6.18+

Revision 1.11  2010/05/21 15:12:04  blekot
- up to 13g

Revision 1.10  2009/11/27 16:18:32  blekot
- typo
- rel2, to Th build

Revision 1.9  2009/11/27 16:14:47  blekot
- added pl description and summary

Revision 1.8  2009/11/26 21:05:54  glen
- release 1

Revision 1.7  2009/11/26 20:58:12  glen
- makefile that one could send upstream

Revision 1.6  2009/11/26 19:40:23  sparky
- use minimal makefile

Revision 1.5  2009/11/26 18:20:54  blekot
- added pawelz comments about this spec

Revision 1.4  2009/11/26 18:12:35  blekot
- builds
- build section should be pldized (TODO, help)

Revision 1.3  2009/11/26 17:39:51  blekot
- proper source links
- md5 sums

Revision 1.2  2009/11/26 17:36:02  blekot
- fixed log

Revision 1.1  2009/11/26 17:34:53  blekot
- new, raw, NFY
